#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: _hpx_afs_quota_check.csh,v 1.11 2008/04/02 07:44:22 fuji Exp $

if ( ! $#argv ) then
	exit
endif

# volsize used %used %partition
set _HPX_LEFT=`$HPXB_EXPR $1 - $2`
if ( $_HPX_LEFT <= 500 ) then
	hpx_echo "W: Your home directory has only ${_HPX_LEFT}KB left."
	hpx_echo "W: This may cause problems, especially when"
	hpx_echo "W: logging in.  Please remove unwanted files"
	hpx_echo "W: or ask your Group Administrator to increase"
	hpx_echo "W: your quota."
	exit
endif
if ( $3 >= 95 ) then
	hpx_echo "W: Your home directory is ${3}% full.  This may"
	hpx_echo "W: cause problems, especially when logging in."
	hpx_echo "W: Please remove unwanted files, or ask your"
	hpx_echo "W: Group Administrator to increase your quota."
	exit
endif
unset _HPX_LEFT

# End of file.
