#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: csh.login,v 1.13 2008/04/02 07:43:36 fuji Exp $

if ( $?_HPX_SEEN_HEP_CSH_LOGIN ) then
	exit
endif
set _HPX_SEEN_HEP_CSH_LOGIN=1

if ( ! $?HPX_INIT ) then
	if ( $?HPX_HOME_CORE ) then
		source $HPX_HOME_CORE/init.csh
	else
		source /etc/hepix/init.csh
	endif
endif

hpx_source $HPX_HOME_HEP/csh.cshrc

if ( "x$HPX_TTY" == x ) then
	exit
endif
setenv ENVIRONMENT LOGIN
hpx_debug "environment set to LOGIN"

if ( -f /etc/nologin && "x$HPX_ROOT" == x ) then
	hpx_echo "N: Sorry, system is under maintenance, no logins allowed."
	$HPXB_CAT /etc/nologin
	hpx_echo "N: Sleeping 5 seconds."
	$HPXB_SLEEP 5
	exit
endif

set HPX_TERM=""
if ( $?TERM ) then
	set HPX_TERM="$TERM"
endif

if ( "x$HPX_TERM" != "x" ) then
	$HPXB_EXPR "$TERM" : "TERM=" >/dev/null && eval "$TERM"
	if ( $status == 0 ) then
		foreach pair ( $TERM )
			eval setenv `echo $pair | $HPXB_TR '=' ' '`
		end
		unset pair
		setenv TERM $TERM
	endif
else
	setenv TERM vt100
endif

switch ($TERM)
	case network:
	case dumb:
	case unknown:
	case arpanet:
	case net:
	case dialup:
	case su:
		setenv TERM vt100
		breaksw
	case ansi:
	case ANSI:
		setenv TERM xterm
		breaksw
endsw

if ( "x$HPX_TERM" != x && $HPX_TERM != $TERM ) then
	hpx_echo "TERM $HPX_TERM changed to $TERM."
endif

if ( -f $HOME/.Delete ) then
	setenv RUBOUT Delete
	$HPXB_STTY erase '^?' intr '^c' kill '^u'
else
	setenv RUBOUT BackSpace
	$HPXB_STTY erase '^h' intr '^c' kill '^u'
endif

$HPXB_STTY echoe -inlcr -istrip -parity
$HPXB_STTY -tostop susp '^z'

hpx_source $HPX_HOME_SITE/csh.login

# End of file.
