#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: hepix.csh,v 1.13 2008/04/02 07:44:22 fuji Exp $

if ( $?_HPX_SEEN_HEPIX_CSH ) then
	exit
endif
set _HPX_SEEN_HEPIX_CSH=1

if ( ! $?HPX_INIT ) then
	if ( $?HPX_HOME_CORE ) then
		source $HPX_HOME_CORE/init.csh
	else
		source /etc/hepix/init.csh
	endif
endif

# Top level HEPiX script for C shell derivatives in /etc/profile.d/.

hpx_is_hepix
if ( $status == 0 ) then
	# Current RedHat policy is to source /etc/profile.d/* scripts for every
	# shell, we differentiate what to do based on the shell level.
	# NOTE(fuji): csh(1) does not have $shlvl.
	if ( $?shlvl ) then
		if ( $shlvl == 1 ) then
			hpx_source $HPX_HOME_HEP/csh.login
		else
			hpx_source $HPX_HOME_HEP/csh.cshrc
		endif
	else
		hpx_debug 'No $shlvl available, assuming login shell.'
		hpx_source $HPX_HOME_HEP/csh.login
	endif
endif

# End of file.
